Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434112 (CVE-2012-4409) - <app-crypt/mcrypt-2.6.8-r2: Decryption Header Processing Buffer Overflow Vulnerability (CVE-2012-4409)
Summary: <app-crypt/mcrypt-2.6.8-r2: Decryption Header Processing Buffer Overflow Vuln...
Status: RESOLVED FIXED
Alias: CVE-2012-4409
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/50507/
Whiteboard: B2 [glsa]
Keywords:
Depends on: CVE-2012-4426
Blocks:
  Show dependency tree
 
Reported: 2012-09-06 11:58 UTC by Agostino Sarubbo
Modified: 2014-05-18 12:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-09-06 11:58:19 UTC
From secunia advisory at $URL:

Description
A vulnerability has been discovered in mcrypt, which can be exploited by malicious people to compromise a user's system.

The vulnerability is caused due to a boundary error in the "check_file_head()" function (src/extra.c) when processing the header of an encrypted file and can be exploited to cause a stack-based buffer overflow.

Successful exploitation may allow execution of arbitrary code, but requires tricking a user into decrypting a malicious file.

The vulnerability is confirmed in version 2.6.8. Other versions may also be affected.


Solution
No official solution is currently available.
Comment 1 Toffanin 2012-09-10 15:17:42 UTC
Just in case, there is a preliminary patch: http://www.openwall.com/lists/oss-security/2012/09/06/8
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2012-11-27 22:09:43 UTC
CVE-2012-4409 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-4409):
  Stack-based buffer overflow in the check_file_head function in extra.c in
  mcrypt 2.6.8 and earlier allows user-assisted remote attackers to execute
  arbitrary code via an encrypted file with a crafted header containing long
  salt data that is not properly handled during decryption.
Comment 3 Alon Bar-Lev gentoo-dev 2012-12-22 20:55:13 UTC
Fixed in mcrypt-2.6.8-r2
Comment 4 Sean Amoss gentoo-dev Security 2013-01-01 21:31:18 UTC
Thanks, everyone.

New GLSA request filed.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-05-18 12:02:50 UTC
This issue was resolved and addressed in
 GLSA 201405-19 at http://security.gentoo.org/glsa/glsa-201405-19.xml
by GLSA coordinator Sean Amoss (ackle).